<?php

include_once('class.controls.php');
/*
  //  создаём объект чекбокса
$cb = new inputChecked();
  //  присваевываем ему html атрибут 
  //  при этом учитываем, что правильное значение этого атрибута "checked", но в базе данных мы храним только 1 или 0
$cb -> checked = 1;
  //  присваиваем ещё один атрибут, явно указывающий, что данные этого контрола нужно обрабатывать классом inputChecked
$cb -> name="form[inputChecked][n_action]";
  //  получаем значение атрибута уже переведённое в бинарый вид и готовое для записи в б.д. 
var_dump($cb -> checked);
   // html код контрола
echo $cb -> html();
  //  проверим параметр и 
echo $cb -> sql();
*/

  //  для вывода 
//$cb = new inputChecked();
//$cb -> checked = 1;
//$cb -> name="form[inputChecked][n_action]";
/*
echo inputChecked::html( array(
  'checked' => 1,
  'name' => 'form[inputChecked][n_action]',
) );


  //  для ввода
var_dump( inputChecked::sql('checked') );
  
echo '<br>-------------<br>';
  
echo inputText::html( array(
  'value' => '"sdfsdf"sasd\'sd',
  'name' => 'form[inputText][n_action]',
) );  


echo '<br>-------------<br>';

include('controls/class.newsTimeAdd.php');


  


echo newsTimeAdd::html( array(
  'value' => time(),
  'name' => 'form[newsTimeAdd][n_action]',
) );  


var_dump( newsTimeAdd::sql('14.05.2011') );
*/

$f = new controlForm( array(
      "id"=>"form_page",
      "method"=>"post",
      "enctype"=>"multipart/form-data", 
      "onsubmit"=>"return false"
    ) ) ;
    echo $f-> add( 
        controlText::html( array(
          'desc'  =>  'Это текстовое поле',
          'comment'  => 'заполняйте его цифрами',
          'value' => '"sdfsdf"sasd\'sd',
          'name' => 'form[inputText][n_action]',) )
        
      ) -> add(
        controlText::html( array(
          'value' => '"sdfsdf"sasd\'sd',
          'name' => 'form[inputText][n_action]',) )
      ) -> add(
        controlText::html( array(
          'value' => '"sdfsdf"sasd\'sd',
          'name' => 'form[inputText][n_action]',) ) 
      
      ) -> html();
    
    


//$cb = new inputChecked('0');  
//var_dump( $cb -> checked ); 


/*
$c = new newsTitle();
$c -> value='10';
$c -> style='background-color:red';
$c -> name="form[newsTitle][n_title]";
*/
/*
if ( empty($_REQUEST['send']) ){
  echo '
  <form method="POST">
  <input name="send" type="hidden" value="1" />
  '.$c -> get().'
  '.$cb -> get().'
  <input type="submit" />
  </form>
  ';
}else{
  
  try{
    foreach( $_POST['form'] as $class=>$ar ){
      list($k, $v) = each($ar);
      $class::save($v);
     
    }
  }catch( Exception $e){
    echo $e -> getMessage();
  }
    
}*/
//include('class.control.php');
?>
